﻿
namespace tour_1
{
    class Field
    {
        public int width { get; private set; }
        public int height { get; private set; }

        int[,] map;


        public Field(int width, int height)
        {
            this.width = width;
            this.height = height;
            map = new int[height, width];

            for (int i = 0; i < height; i++)
                for (int j = 0; j < width; j++)
                    map[i, j] = -1;
        }

        public int this[int x, int y]
        {
            get
            {
                return map[y, x];
            }
            set
            {
                map[y, x] = value;
            }
        }
    }
}
