﻿using System.Collections.Generic;

namespace game
{
    public struct Level
    {
        public int lvlAdd;   // на сколько прибавлять уровень, когда съели с таким же уровнем
        public int minMobs;  // минимальное количество респа существ
        public int maxMobs;  // максимальное количество респа существ

        public Level(int lvlAdd, int minMobs, int maxMobs)
        {
            this.lvlAdd = lvlAdd;
            this.minMobs = minMobs;
            this.maxMobs = maxMobs;
        }
    }

    static class Levels
    {
        public static List<Level> levels = new List<Level>();
        public static int selected = 0;


        public static void Add(Level level)
        {
            levels.Add(level);
        }

        public static void Clear()
        {
            levels.Clear();
        }

        public static void Select(int sel)
        {
            selected = sel;
        }

        public static Level GetSelected()
        {
            return levels[selected];
        }
    }
}
